args <- commandArgs(TRUE)
msfFile <- args[[1]]
outputTablePath <- args[[2]]

cat("Loading R libraries...\n")
require(RSQLite)
#require(sqldf)
driver = dbDriver("SQLite")
con <- dbConnect(driver, dbname = msfFile)
#confidence <- switch(minConf, High = 3, Medium = 2, Low = 1, 3)
confidence <- 1  # default to capture all identifications

sql_mtz <- paste(
                 # ----- Place the SQL Query here ------
                 "SELECT pAAMod.PeptideID,\n",
                        "pAAMod.Position,\n",
                        "aAMod.ModificationName,\n",
                        "aAMod.DeltaMass\n",
                 "FROM PeptidesAminoAcidModifications_decoy AS pAAMod\n",
                 "INNER JOIN AminoAcidModifications AS aAMod\n",
                 "ON pAAMod.AminoAcidModificationID=aAMod.AminoAcidModificationID;"
                 )

cat(paste("Querying database [MSF file], ", basename(msfFile), " for PSM assigned decoy peptides' non-terminal modifications...\n",sep="",collapse=""))
rs_mtz <- dbSendQuery(con, sql_mtz)
mtzTab <- fetch(rs_mtz, n = -1)
dbClearResult(rs_mtz)
dbDisconnect(con)

cat("writing DB table...\n")
write.table(mtzTab, file = outputTablePath, sep="\t", quote=FALSE, row.names = FALSE)

# report execution:
if(file.exists(outputTablePath)){
  cat(paste("output table; ", basename(outputTablePath), " printed!",sep="",collapse=""))
} else {
  cat("...Hmmn, table not outputted..")
}
